Felhasználói jelenet beküldése

Az ügyfelek kiszolgálása cégünk egyik fontos feladata. Ehhez azonban információra van szükségünk. Ezt az ügyfelek vagy meg tudják adni vagy nem. Naponta találkozunk az alábbi helyzettel:

– A program megkérdezte, hogy akarja-e menteni, ugye?

– Dehogy kérdezett!

– Ilyenkor a Symbol Ügyvitel feldob egy ablakot, nem látta?

– Nem dobott fel, ugye nem gondolja, hogy vak vagyok?

– Önnek szeretnék segíteni…

A félreértések elkerülése végett a jövőben a felhasználói jelenet beküldését fogjuk javasolni. Ennek segítségével a programban végzett tevékenységek “lefényképezésre” kerülnek és egy tömörített videoban cégünk rendelkezésére állnak. Ezt a felhasználónak kell indítania és leállítania. Ebben minden egér és billentyűzet tevékenység naplózásra kerül, valós időben látjuk, hogy mi történt.

jelenet

– Elnézést, bocsánat… mégis feldobott egy ablakot…

– Nincs semmi baj, örülök, hogy segíthettem. A viszont hallásra!

2013 nyarától .NET 4.0

Régóta tervezzük, most nyárra ütemezzük. Haladva a korral a Microsoft új(abb) keretrendszerét fogjuk használni. Nézzük, milyen előnyökkel és hátrányokkal jár ez!

Az utolsó stabil a 4.0

A Microsoft legfrissebb keretrendszere is már 3 éves, neve .Net framework 4.0 SP1. Lassan érdemes lesz használni. Mindenki, aki a kor követelményeinek megfelelő rendszert épít, a legfrissebbel kell, hogy dolgozzon. Kellően kiforrott, számos előnyt és hibajavítást tartalmaz.

Sőt, más rendszerekkel való integráció elképzelhetetlen nélküle. SharePoint-hoz és Office 2010-hez lehet csatlakozni máshogy is, csak így könnyebb és hibatűrőbb. Windows 8 fejlesztéshez elképzelhetetlen, hogy mással dolgozzunk. Ha Ön ma számítógépet vesz, alapértelmezetten W8-at kap vele.

microsoft_logo_56x56

Ami változni fog

A 4.0 telepítőt az eddigiekhez hasonlóan, magyar nyelven mi is terjeszteni fogjuk. Viszont a telepítőnek nem lesz része. Függően attól, hogy 32 vagy 64 bites az operációs rendszer, a megfelelő letöltését és telepítését fogja a telepítőkészletünk megoldani. Bár ez inkább rendszergazdai feladat lenne.

Az operációs rendszerek alapértelmezetten támogatják, illetve opcionálisan tartalmazzák is a futtatókörnyezetet. A Windows frissítések gondoskodnak a legújabb változatról. Végre nem a mi feladatunk lesz ezt karbantartani (egy olyan számítógépen, amelyet soha nem láttunk).

WindowsXP SP2 előtti operációs rendszereken a 4.0-s keretrendszer nem tud települni. Ugyanígy nem szabványos helyről beszerzett (gyk: warez) rendszerek sem alkalmasak a telepítésre. Sajnos egy olyan operációs rendszerre, amelynek a támogatása 2009-ben megszűnt, nem tudunk mi sem további támogatást nyújtani. Elnézést kérünk az innovációinkkal!

A nagy lépéssel egy időben Firebird 2.5 (ha addig kijön, akkor 3.0) fog települni alapértelmezetten. A Firebird 2.1 továbbra is használható marad, de pár funkció nem lesz elérhető. Felhívjuk ügyfeleink figyelmét, hogy mindkét variáns továbbra is ingyenes!